# __gnu_cxx::condition_base Struct Reference

Base struct for condition policy. More...

Inheritance diagram for __gnu_cxx::condition_base:
[legend]

List of all members.

## Detailed Description

Base struct for condition policy.

Requires a public member function with the signature void throw_conditionally()

Definition at line 253 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h